/// <reference types="react" />
import { ComponentType, SVGAttributes } from 'react';

export interface Props extends SVGAttributes<SVGElement> {
  color?: string;
  size?: string | number;
}

type Icon = ComponentType<Props>;
export const AlarmFill: Icon;
export const Alarm: Icon;
export const AlignBottom: Icon;
export const AlignCenter: Icon;
export const AlignEnd: Icon;
export const AlignMiddle: Icon;
export const AlignStart: Icon;
export const AlignTop: Icon;
export const Alt: Icon;
export const AppIndicator: Icon;
export const App: Icon;
export const ArchiveFill: Icon;
export const Archive: Icon;
export const Arrow90degDown: Icon;
export const Arrow90degLeft: Icon;
export const Arrow90degRight: Icon;
export const Arrow90degUp: Icon;
export const ArrowBarDown: Icon;
export const ArrowBarLeft: Icon;
export const ArrowBarRight: Icon;
export const ArrowBarUp: Icon;
export const ArrowClockwise: Icon;
export const ArrowCounterclockwise: Icon;
export const ArrowDownCircleFill: Icon;
export const ArrowDownCircle: Icon;
export const ArrowDownLeftCircleFill: Icon;
export const ArrowDownLeftCircle: Icon;
export const ArrowDownLeftSquareFill: Icon;
export const ArrowDownLeftSquare: Icon;
export const ArrowDownLeft: Icon;
export const ArrowDownRightCircleFill: Icon;
export const ArrowDownRightCircle: Icon;
export const ArrowDownRightSquareFill: Icon;
export const ArrowDownRightSquare: Icon;
export const ArrowDownRight: Icon;
export const ArrowDownShort: Icon;
export const ArrowDownSquareFill: Icon;
export const ArrowDownSquare: Icon;
export const ArrowDownUp: Icon;
export const ArrowDown: Icon;
export const ArrowLeftCircleFill: Icon;
export const ArrowLeftCircle: Icon;
export const ArrowLeftRight: Icon;
export const ArrowLeftShort: Icon;
export const ArrowLeftSquareFill: Icon;
export const ArrowLeftSquare: Icon;
export const ArrowLeft: Icon;
export const ArrowRepeat: Icon;
export const ArrowReturnLeft: Icon;
export const ArrowReturnRight: Icon;
export const ArrowRightCircleFill: Icon;
export const ArrowRightCircle: Icon;
export const ArrowRightShort: Icon;
export const ArrowRightSquareFill: Icon;
export const ArrowRightSquare: Icon;
export const ArrowRight: Icon;
export const ArrowUpCircleFill: Icon;
export const ArrowUpCircle: Icon;
export const ArrowUpLeftCircleFill: Icon;
export const ArrowUpLeftCircle: Icon;
export const ArrowUpLeftSquareFill: Icon;
export const ArrowUpLeftSquare: Icon;
export const ArrowUpLeft: Icon;
export const ArrowUpRightCircleFill: Icon;
export const ArrowUpRightCircle: Icon;
export const ArrowUpRightSquareFill: Icon;
export const ArrowUpRightSquare: Icon;
export const ArrowUpRight: Icon;
export const ArrowUpShort: Icon;
export const ArrowUpSquareFill: Icon;
export const ArrowUpSquare: Icon;
export const ArrowUp: Icon;
export const ArrowsAngleContract: Icon;
export const ArrowsAngleExpand: Icon;
export const ArrowsCollapse: Icon;
export const ArrowsExpand: Icon;
export const ArrowsFullscreen: Icon;
export const ArrowsMove: Icon;
export const AspectRatioFill: Icon;
export const AspectRatio: Icon;
export const Asterisk: Icon;
export const At: Icon;
export const AwardFill: Icon;
export const Award: Icon;
export const Back: Icon;
export const BackspaceFill: Icon;
export const BackspaceReverseFill: Icon;
export const BackspaceReverse: Icon;
export const Backspace: Icon;
export const Badge4kFill: Icon;
export const Badge4k: Icon;
export const Badge8kFill: Icon;
export const Badge8k: Icon;
export const BadgeAdFill: Icon;
export const BadgeAd: Icon;
export const BadgeCcFill: Icon;
export const BadgeCc: Icon;
export const BadgeHdFill: Icon;
export const BadgeHd: Icon;
export const BadgeTmFill: Icon;
export const BadgeTm: Icon;
export const BadgeVoFill: Icon;
export const BadgeVo: Icon;
export const BagCheckFill: Icon;
export const BagCheck: Icon;
export const BagDashFill: Icon;
export const BagDash: Icon;
export const BagFill: Icon;
export const BagPlusFill: Icon;
export const BagPlus: Icon;
export const BagXFill: Icon;
export const BagX: Icon;
export const Bag: Icon;
export const BarChartFill: Icon;
export const BarChartLineFill: Icon;
export const BarChartLine: Icon;
export const BarChartSteps: Icon;
export const BarChart: Icon;
export const BasketFill: Icon;
export const Basket: Icon;
export const Basket2Fill: Icon;
export const Basket2: Icon;
export const Basket3Fill: Icon;
export const Basket3: Icon;
export const BatteryCharging: Icon;
export const BatteryFull: Icon;
export const BatteryHalf: Icon;
export const Battery: Icon;
export const BellFill: Icon;
export const Bell: Icon;
export const Bezier: Icon;
export const Bezier2: Icon;
export const Bicycle: Icon;
export const BinocularsFill: Icon;
export const Binoculars: Icon;
export const BlockquoteLeft: Icon;
export const BlockquoteRight: Icon;
export const BookFill: Icon;
export const BookHalf: Icon;
export const Book: Icon;
export const BookmarkCheckFill: Icon;
export const BookmarkCheck: Icon;
export const BookmarkDashFill: Icon;
export const BookmarkDash: Icon;
export const BookmarkFill: Icon;
export const BookmarkHeartFill: Icon;
export const BookmarkHeart: Icon;
export const BookmarkPlusFill: Icon;
export const BookmarkPlus: Icon;
export const BookmarkStarFill: Icon;
export const BookmarkStar: Icon;
export const BookmarkXFill: Icon;
export const BookmarkX: Icon;
export const Bookmark: Icon;
export const BookmarksFill: Icon;
export const Bookmarks: Icon;
export const Bookshelf: Icon;
export const BootstrapFill: Icon;
export const BootstrapReboot: Icon;
export const Bootstrap: Icon;
export const BorderStyle: Icon;
export const BorderWidth: Icon;
export const BoundingBoxCircles: Icon;
export const BoundingBox: Icon;
export const BoxArrowDownLeft: Icon;
export const BoxArrowDownRight: Icon;
export const BoxArrowDown: Icon;
export const BoxArrowInDownLeft: Icon;
export const BoxArrowInDownRight: Icon;
export const BoxArrowInDown: Icon;
export const BoxArrowInLeft: Icon;
export const BoxArrowInRight: Icon;
export const BoxArrowInUpLeft: Icon;
export const BoxArrowInUpRight: Icon;
export const BoxArrowInUp: Icon;
export const BoxArrowLeft: Icon;
export const BoxArrowRight: Icon;
export const BoxArrowUpLeft: Icon;
export const BoxArrowUpRight: Icon;
export const BoxArrowUp: Icon;
export const BoxSeam: Icon;
export const Box: Icon;
export const Braces: Icon;
export const Bricks: Icon;
export const BriefcaseFill: Icon;
export const Briefcase: Icon;
export const BrightnessAltHighFill: Icon;
export const BrightnessAltHigh: Icon;
export const BrightnessAltLowFill: Icon;
export const BrightnessAltLow: Icon;
export const BrightnessHighFill: Icon;
export const BrightnessHigh: Icon;
export const BrightnessLowFill: Icon;
export const BrightnessLow: Icon;
export const BroadcastPin: Icon;
export const Broadcast: Icon;
export const BrushFill: Icon;
export const Brush: Icon;
export const BucketFill: Icon;
export const Bucket: Icon;
export const BugFill: Icon;
export const Bug: Icon;
export const Building: Icon;
export const Bullseye: Icon;
export const CalculatorFill: Icon;
export const Calculator: Icon;
export const CalendarCheckFill: Icon;
export const CalendarCheck: Icon;
export const CalendarDateFill: Icon;
export const CalendarDate: Icon;
export const CalendarDayFill: Icon;
export const CalendarDay: Icon;
export const CalendarEventFill: Icon;
export const CalendarEvent: Icon;
export const CalendarFill: Icon;
export const CalendarMinusFill: Icon;
export const CalendarMinus: Icon;
export const CalendarMonthFill: Icon;
export const CalendarMonth: Icon;
export const CalendarPlusFill: Icon;
export const CalendarPlus: Icon;
export const CalendarRangeFill: Icon;
export const CalendarRange: Icon;
export const CalendarWeekFill: Icon;
export const CalendarWeek: Icon;
export const CalendarXFill: Icon;
export const CalendarX: Icon;
export const Calendar: Icon;
export const Calendar2CheckFill: Icon;
export const Calendar2Check: Icon;
export const Calendar2DateFill: Icon;
export const Calendar2Date: Icon;
export const Calendar2DayFill: Icon;
export const Calendar2Day: Icon;
export const Calendar2EventFill: Icon;
export const Calendar2Event: Icon;
export const Calendar2Fill: Icon;
export const Calendar2MinusFill: Icon;
export const Calendar2Minus: Icon;
export const Calendar2MonthFill: Icon;
export const Calendar2Month: Icon;
export const Calendar2PlusFill: Icon;
export const Calendar2Plus: Icon;
export const Calendar2RangeFill: Icon;
export const Calendar2Range: Icon;
export const Calendar2WeekFill: Icon;
export const Calendar2Week: Icon;
export const Calendar2XFill: Icon;
export const Calendar2X: Icon;
export const Calendar2: Icon;
export const Calendar3EventFill: Icon;
export const Calendar3Event: Icon;
export const Calendar3Fill: Icon;
export const Calendar3RangeFill: Icon;
export const Calendar3Range: Icon;
export const Calendar3WeekFill: Icon;
export const Calendar3Week: Icon;
export const Calendar3: Icon;
export const Calendar4Event: Icon;
export const Calendar4Range: Icon;
export const Calendar4Week: Icon;
export const Calendar4: Icon;
export const CameraFill: Icon;
export const CameraReelsFill: Icon;
export const CameraReels: Icon;
export const CameraVideoFill: Icon;
export const CameraVideoOffFill: Icon;
export const CameraVideoOff: Icon;
export const CameraVideo: Icon;
export const Camera: Icon;
export const Camera2: Icon;
export const CapslockFill: Icon;
export const Capslock: Icon;
export const CardChecklist: Icon;
export const CardHeading: Icon;
export const CardImage: Icon;
export const CardList: Icon;
export const CardText: Icon;
export const CaretDownFill: Icon;
export const CaretDownSquareFill: Icon;
export const CaretDownSquare: Icon;
export const CaretDown: Icon;
export const CaretLeftFill: Icon;
export const CaretLeftSquareFill: Icon;
export const CaretLeftSquare: Icon;
export const CaretLeft: Icon;
export const CaretRightFill: Icon;
export const CaretRightSquareFill: Icon;
export const CaretRightSquare: Icon;
export const CaretRight: Icon;
export const CaretUpFill: Icon;
export const CaretUpSquareFill: Icon;
export const CaretUpSquare: Icon;
export const CaretUp: Icon;
export const CartCheckFill: Icon;
export const CartCheck: Icon;
export const CartDashFill: Icon;
export const CartDash: Icon;
export const CartFill: Icon;
export const CartPlusFill: Icon;
export const CartPlus: Icon;
export const CartXFill: Icon;
export const CartX: Icon;
export const Cart: Icon;
export const Cart2: Icon;
export const Cart3: Icon;
export const Cart4: Icon;
export const CashStack: Icon;
export const Cash: Icon;
export const Cast: Icon;
export const ChatDotsFill: Icon;
export const ChatDots: Icon;
export const ChatFill: Icon;
export const ChatLeftDotsFill: Icon;
export const ChatLeftDots: Icon;
export const ChatLeftFill: Icon;
export const ChatLeftQuoteFill: Icon;
export const ChatLeftQuote: Icon;
export const ChatLeftTextFill: Icon;
export const ChatLeftText: Icon;
export const ChatLeft: Icon;
export const ChatQuoteFill: Icon;
export const ChatQuote: Icon;
export const ChatRightDotsFill: Icon;
export const ChatRightDots: Icon;
export const ChatRightFill: Icon;
export const ChatRightQuoteFill: Icon;
export const ChatRightQuote: Icon;
export const ChatRightTextFill: Icon;
export const ChatRightText: Icon;
export const ChatRight: Icon;
export const ChatSquareDotsFill: Icon;
export const ChatSquareDots: Icon;
export const ChatSquareFill: Icon;
export const ChatSquareQuoteFill: Icon;
export const ChatSquareQuote: Icon;
export const ChatSquareTextFill: Icon;
export const ChatSquareText: Icon;
export const ChatSquare: Icon;
export const ChatTextFill: Icon;
export const ChatText: Icon;
export const Chat: Icon;
export const CheckAll: Icon;
export const CheckCircleFill: Icon;
export const CheckCircle: Icon;
export const CheckSquareFill: Icon;
export const CheckSquare: Icon;
export const Check: Icon;
export const Check2All: Icon;
export const Check2Circle: Icon;
export const Check2Square: Icon;
export const Check2: Icon;
export const ChevronBarContract: Icon;
export const ChevronBarDown: Icon;
export const ChevronBarExpand: Icon;
export const ChevronBarLeft: Icon;
export const ChevronBarRight: Icon;
export const ChevronBarUp: Icon;
export const ChevronCompactDown: Icon;
export const ChevronCompactLeft: Icon;
export const ChevronCompactRight: Icon;
export const ChevronCompactUp: Icon;
export const ChevronContract: Icon;
export const ChevronDoubleDown: Icon;
export const ChevronDoubleLeft: Icon;
export const ChevronDoubleRight: Icon;
export const ChevronDoubleUp: Icon;
export const ChevronDown: Icon;
export const ChevronExpand: Icon;
export const ChevronLeft: Icon;
export const ChevronRight: Icon;
export const ChevronUp: Icon;
export const CircleFill: Icon;
export const CircleHalf: Icon;
export const CircleSquare: Icon;
export const Circle: Icon;
export const ClipboardCheck: Icon;
export const ClipboardData: Icon;
export const ClipboardMinus: Icon;
export const ClipboardPlus: Icon;
export const ClipboardX: Icon;
export const Clipboard: Icon;
export const ClockFill: Icon;
export const ClockHistory: Icon;
export const Clock: Icon;
export const CloudArrowDownFill: Icon;
export const CloudArrowDown: Icon;
export const CloudArrowUpFill: Icon;
export const CloudArrowUp: Icon;
export const CloudCheckFill: Icon;
export const CloudCheck: Icon;
export const CloudDownloadFill: Icon;
export const CloudDownload: Icon;
export const CloudFill: Icon;
export const CloudMinusFill: Icon;
export const CloudMinus: Icon;
export const CloudPlusFill: Icon;
export const CloudPlus: Icon;
export const CloudSlashFill: Icon;
export const CloudSlash: Icon;
export const CloudUploadFill: Icon;
export const CloudUpload: Icon;
export const Cloud: Icon;
export const CodeSlash: Icon;
export const CodeSquare: Icon;
export const Code: Icon;
export const CollectionFill: Icon;
export const CollectionPlayFill: Icon;
export const CollectionPlay: Icon;
export const Collection: Icon;
export const ColumnsGap: Icon;
export const Columns: Icon;
export const Command: Icon;
export const CompassFill: Icon;
export const Compass: Icon;
export const ConeStriped: Icon;
export const Cone: Icon;
export const Controller: Icon;
export const CpuFill: Icon;
export const Cpu: Icon;
export const CreditCard2BackFill: Icon;
export const CreditCard2Back: Icon;
export const CreditCard2FrontFill: Icon;
export const CreditCard2Front: Icon;
export const CreditCardFill: Icon;
export const CreditCard: Icon;
export const Crop: Icon;
export const CupFill: Icon;
export const CupStraw: Icon;
export const Cup: Icon;
export const CursorFill: Icon;
export const CursorText: Icon;
export const Cursor: Icon;
export const DashCircleFill: Icon;
export const DashCircle: Icon;
export const DashSquareFill: Icon;
export const DashSquare: Icon;
export const Dash: Icon;
export const Diagram2Fill: Icon;
export const Diagram2: Icon;
export const Diagram3Fill: Icon;
export const Diagram3: Icon;
export const DiamondFill: Icon;
export const DiamondHalf: Icon;
export const Diamond: Icon;
export const Dice1Fill: Icon;
export const Dice1: Icon;
export const Dice2Fill: Icon;
export const Dice2: Icon;
export const Dice3Fill: Icon;
export const Dice3: Icon;
export const Dice4Fill: Icon;
export const Dice4: Icon;
export const Dice5Fill: Icon;
export const Dice5: Icon;
export const Dice6Fill: Icon;
export const Dice6: Icon;
export const DisplayFill: Icon;
export const Display: Icon;
export const DistributeHorizontal: Icon;
export const DistributeVertical: Icon;
export const DoorClosedFill: Icon;
export const DoorClosed: Icon;
export const DoorOpenFill: Icon;
export const DoorOpen: Icon;
export const Dot: Icon;
export const Download: Icon;
export const DropletFill: Icon;
export const DropletHalf: Icon;
export const Droplet: Icon;
export const Earbuds: Icon;
export const EaselFill: Icon;
export const Easel: Icon;
export const EggFill: Icon;
export const EggFried: Icon;
export const Egg: Icon;
export const EjectFill: Icon;
export const Eject: Icon;
export const EmojiAngryFill: Icon;
export const EmojiAngry: Icon;
export const EmojiDizzyFill: Icon;
export const EmojiDizzy: Icon;
export const EmojiExpressionlessFill: Icon;
export const EmojiExpressionless: Icon;
export const EmojiFrownFill: Icon;
export const EmojiFrown: Icon;
export const EmojiHeartEyesFill: Icon;
export const EmojiHeartEyes: Icon;
export const EmojiLaughingFill: Icon;
export const EmojiLaughing: Icon;
export const EmojiNeutralFill: Icon;
export const EmojiNeutral: Icon;
export const EmojiSmileFill: Icon;
export const EmojiSmileUpsideDownFill: Icon;
export const EmojiSmileUpsideDown: Icon;
export const EmojiSmile: Icon;
export const EmojiSunglassesFill: Icon;
export const EmojiSunglasses: Icon;
export const EmojiWinkFill: Icon;
export const EmojiWink: Icon;
export const EnvelopeFill: Icon;
export const EnvelopeOpenFill: Icon;
export const EnvelopeOpen: Icon;
export const Envelope: Icon;
export const ExclamationCircleFill: Icon;
export const ExclamationCircle: Icon;
export const ExclamationDiamondFill: Icon;
export const ExclamationDiamond: Icon;
export const ExclamationOctagonFill: Icon;
export const ExclamationOctagon: Icon;
export const ExclamationSquareFill: Icon;
export const ExclamationSquare: Icon;
export const ExclamationTriangleFill: Icon;
export const ExclamationTriangle: Icon;
export const Exclamation: Icon;
export const Exclude: Icon;
export const EyeFill: Icon;
export const EyeSlashFill: Icon;
export const EyeSlash: Icon;
export const Eye: Icon;
export const Eyeglasses: Icon;
export const FileArrowDownFill: Icon;
export const FileArrowDown: Icon;
export const FileArrowUpFill: Icon;
export const FileArrowUp: Icon;
export const FileBarGraphFill: Icon;
export const FileBarGraph: Icon;
export const FileBinaryFill: Icon;
export const FileBinary: Icon;
export const FileBreakFill: Icon;
export const FileBreak: Icon;
export const FileCheckFill: Icon;
export const FileCheck: Icon;
export const FileCodeFill: Icon;
export const FileCode: Icon;
export const FileDiffFill: Icon;
export const FileDiff: Icon;
export const FileEarmarkArrowDownFill: Icon;
export const FileEarmarkArrowDown: Icon;
export const FileEarmarkArrowUpFill: Icon;
export const FileEarmarkArrowUp: Icon;
export const FileEarmarkBarGraphFill: Icon;
export const FileEarmarkBarGraph: Icon;
export const FileEarmarkBinaryFill: Icon;
export const FileEarmarkBinary: Icon;
export const FileEarmarkBreakFill: Icon;
export const FileEarmarkBreak: Icon;
export const FileEarmarkCheckFill: Icon;
export const FileEarmarkCheck: Icon;
export const FileEarmarkCodeFill: Icon;
export const FileEarmarkCode: Icon;
export const FileEarmarkDiffFill: Icon;
export const FileEarmarkDiff: Icon;
export const FileEarmarkEaselFill: Icon;
export const FileEarmarkEasel: Icon;
export const FileEarmarkExcelFill: Icon;
export const FileEarmarkExcel: Icon;
export const FileEarmarkFill: Icon;
export const FileEarmarkFontFill: Icon;
export const FileEarmarkFont: Icon;
export const FileEarmarkImageFill: Icon;
export const FileEarmarkImage: Icon;
export const FileEarmarkLockFill: Icon;
export const FileEarmarkLock: Icon;
export const FileEarmarkLock2Fill: Icon;
export const FileEarmarkLock2: Icon;
export const FileEarmarkMedicalFill: Icon;
export const FileEarmarkMedical: Icon;
export const FileEarmarkMinusFill: Icon;
export const FileEarmarkMinus: Icon;
export const FileEarmarkMusicFill: Icon;
export const FileEarmarkMusic: Icon;
export const FileEarmarkPersonFill: Icon;
export const FileEarmarkPerson: Icon;
export const FileEarmarkPlayFill: Icon;
export const FileEarmarkPlay: Icon;
export const FileEarmarkPlusFill: Icon;
export const FileEarmarkPlus: Icon;
export const FileEarmarkPostFill: Icon;
export const FileEarmarkPost: Icon;
export const FileEarmarkPptFill: Icon;
export const FileEarmarkPpt: Icon;
export const FileEarmarkRichtextFill: Icon;
export const FileEarmarkRichtext: Icon;
export const FileEarmarkRuledFill: Icon;
export const FileEarmarkRuled: Icon;
export const FileEarmarkSlidesFill: Icon;
export const FileEarmarkSlides: Icon;
export const FileEarmarkSpreadsheetFill: Icon;
export const FileEarmarkSpreadsheet: Icon;
export const FileEarmarkTextFill: Icon;
export const FileEarmarkText: Icon;
export const FileEarmarkWordFill: Icon;
export const FileEarmarkWord: Icon;
export const FileEarmarkXFill: Icon;
export const FileEarmarkX: Icon;
export const FileEarmarkZipFill: Icon;
export const FileEarmarkZip: Icon;
export const FileEarmark: Icon;
export const FileEaselFill: Icon;
export const FileEasel: Icon;
export const FileExcelFill: Icon;
export const FileExcel: Icon;
export const FileFill: Icon;
export const FileFontFill: Icon;
export const FileFont: Icon;
export const FileImageFill: Icon;
export const FileImage: Icon;
export const FileLockFill: Icon;
export const FileLock: Icon;
export const FileLock2Fill: Icon;
export const FileLock2: Icon;
export const FileMedicalFill: Icon;
export const FileMedical: Icon;
export const FileMinusFill: Icon;
export const FileMinus: Icon;
export const FileMusicFill: Icon;
export const FileMusic: Icon;
export const FilePersonFill: Icon;
export const FilePerson: Icon;
export const FilePlayFill: Icon;
export const FilePlay: Icon;
export const FilePlusFill: Icon;
export const FilePlus: Icon;
export const FilePostFill: Icon;
export const FilePost: Icon;
export const FilePptFill: Icon;
export const FilePpt: Icon;
export const FileRichtextFill: Icon;
export const FileRichtext: Icon;
export const FileRuledFill: Icon;
export const FileRuled: Icon;
export const FileSlidesFill: Icon;
export const FileSlides: Icon;
export const FileSpreadsheetFill: Icon;
export const FileSpreadsheet: Icon;
export const FileTextFill: Icon;
export const FileText: Icon;
export const FileWordFill: Icon;
export const FileWord: Icon;
export const FileXFill: Icon;
export const FileX: Icon;
export const FileZipFill: Icon;
export const FileZip: Icon;
export const File: Icon;
export const FilesAlt: Icon;
export const Files: Icon;
export const Film: Icon;
export const FilterCircleFill: Icon;
export const FilterCircle: Icon;
export const FilterLeft: Icon;
export const FilterRight: Icon;
export const FilterSquareFill: Icon;
export const FilterSquare: Icon;
export const Filter: Icon;
export const FlagFill: Icon;
export const Flag: Icon;
export const Flower1: Icon;
export const Flower2: Icon;
export const Flower3: Icon;
export const FolderCheck: Icon;
export const FolderFill: Icon;
export const FolderMinus: Icon;
export const FolderPlus: Icon;
export const FolderSymlinkFill: Icon;
export const FolderSymlink: Icon;
export const FolderX: Icon;
export const Folder: Icon;
export const Folder2Open: Icon;
export const Folder2: Icon;
export const Fonts: Icon;
export const ForwardFill: Icon;
export const Forward: Icon;
export const Front: Icon;
export const FullscreenExit: Icon;
export const Fullscreen: Icon;
export const FunnelFill: Icon;
export const Funnel: Icon;
export const GearFill: Icon;
export const GearWideConnected: Icon;
export const GearWide: Icon;
export const Gear: Icon;
export const Gem: Icon;
export const GeoAltFill: Icon;
export const GeoAlt: Icon;
export const GeoFill: Icon;
export const Geo: Icon;
export const GiftFill: Icon;
export const Gift: Icon;
export const Globe: Icon;
export const Globe2: Icon;
export const GraphDown: Icon;
export const GraphUp: Icon;
export const Grid1x2Fill: Icon;
export const Grid1x2: Icon;
export const Grid3x2GapFill: Icon;
export const Grid3x2Gap: Icon;
export const Grid3x2: Icon;
export const Grid3x3GapFill: Icon;
export const Grid3x3Gap: Icon;
export const Grid3x3: Icon;
export const GridFill: Icon;
export const Grid: Icon;
export const GripHorizontal: Icon;
export const GripVertical: Icon;
export const Hammer: Icon;
export const HandIndexThumb: Icon;
export const HandIndex: Icon;
export const HandThumbsDown: Icon;
export const HandThumbsUp: Icon;
export const HandbagFill: Icon;
export const Handbag: Icon;
export const Hash: Icon;
export const HddFill: Icon;
export const HddNetworkFill: Icon;
export const HddNetwork: Icon;
export const HddRackFill: Icon;
export const HddRack: Icon;
export const HddStackFill: Icon;
export const HddStack: Icon;
export const Hdd: Icon;
export const Headphones: Icon;
export const Headset: Icon;
export const HeartFill: Icon;
export const HeartHalf: Icon;
export const Heart: Icon;
export const HeptagonFill: Icon;
export const HeptagonHalf: Icon;
export const Heptagon: Icon;
export const HexagonFill: Icon;
export const HexagonHalf: Icon;
export const Hexagon: Icon;
export const HourglassBottom: Icon;
export const HourglassSplit: Icon;
export const HourglassTop: Icon;
export const Hourglass: Icon;
export const HouseDoorFill: Icon;
export const HouseDoor: Icon;
export const HouseFill: Icon;
export const House: Icon;
export const Hr: Icon;
export const ImageAlt: Icon;
export const ImageFill: Icon;
export const Image: Icon;
export const Images: Icon;
export const InboxFill: Icon;
export const Inbox: Icon;
export const InboxesFill: Icon;
export const Inboxes: Icon;
export const InfoCircleFill: Icon;
export const InfoCircle: Icon;
export const InfoSquareFill: Icon;
export const InfoSquare: Icon;
export const Info: Icon;
export const InputCursorText: Icon;
export const InputCursor: Icon;
export const Intersect: Icon;
export const JournalAlbum: Icon;
export const JournalArrowDown: Icon;
export const JournalArrowUp: Icon;
export const JournalBookmarkFill: Icon;
export const JournalBookmark: Icon;
export const JournalCheck: Icon;
export const JournalCode: Icon;
export const JournalMedical: Icon;
export const JournalMinus: Icon;
export const JournalPlus: Icon;
export const JournalRichtext: Icon;
export const JournalText: Icon;
export const JournalX: Icon;
export const Journal: Icon;
export const Journals: Icon;
export const Joystick: Icon;
export const JustifyLeft: Icon;
export const JustifyRight: Icon;
export const Justify: Icon;
export const KanbanFill: Icon;
export const Kanban: Icon;
export const KeyFill: Icon;
export const Key: Icon;
export const KeyboardFill: Icon;
export const Keyboard: Icon;
export const Ladder: Icon;
export const LampFill: Icon;
export const Lamp: Icon;
export const LaptopFill: Icon;
export const Laptop: Icon;
export const LayersFill: Icon;
export const LayersHalf: Icon;
export const Layers: Icon;
export const LayoutSidebarInsetReverse: Icon;
export const LayoutSidebarInset: Icon;
export const LayoutSidebarReverse: Icon;
export const LayoutSidebar: Icon;
export const LayoutSplit: Icon;
export const LayoutTextSidebarReverse: Icon;
export const LayoutTextSidebar: Icon;
export const LayoutTextWindowReverse: Icon;
export const LayoutTextWindow: Icon;
export const LayoutThreeColumns: Icon;
export const LayoutWtf: Icon;
export const LifePreserver: Icon;
export const LightningFill: Icon;
export const Lightning: Icon;
export const Link45deg: Icon;
export const Link: Icon;
export const ListCheck: Icon;
export const ListNested: Icon;
export const ListOl: Icon;
export const ListStars: Icon;
export const ListTask: Icon;
export const ListUl: Icon;
export const List: Icon;
export const LockFill: Icon;
export const Lock: Icon;
export const Mailbox: Icon;
export const Mailbox2: Icon;
export const MapFill: Icon;
export const Map: Icon;
export const MarkdownFill: Icon;
export const Markdown: Icon;
export const MenuAppFill: Icon;
export const MenuApp: Icon;
export const MenuButtonFill: Icon;
export const MenuButtonWideFill: Icon;
export const MenuButtonWide: Icon;
export const MenuButton: Icon;
export const MenuDown: Icon;
export const MenuUp: Icon;
export const MicFill: Icon;
export const MicMuteFill: Icon;
export const MicMute: Icon;
export const Mic: Icon;
export const MinecartLoaded: Icon;
export const Minecart: Icon;
export const Moon: Icon;
export const Mouse: Icon;
export const Mouse2: Icon;
export const Mouse3: Icon;
export const MusicNoteBeamed: Icon;
export const MusicNoteList: Icon;
export const MusicNote: Icon;
export const MusicPlayerFill: Icon;
export const MusicPlayer: Icon;
export const Newspaper: Icon;
export const NodeMinusFill: Icon;
export const NodeMinus: Icon;
export const NodePlusFill: Icon;
export const NodePlus: Icon;
export const NutFill: Icon;
export const Nut: Icon;
export const OctagonFill: Icon;
export const OctagonHalf: Icon;
export const Octagon: Icon;
export const Option: Icon;
export const Outlet: Icon;
export const Paperclip: Icon;
export const Paragraph: Icon;
export const PatchCheckFll: Icon;
export const PatchCheck: Icon;
export const PatchExclamationFll: Icon;
export const PatchExclamation: Icon;
export const PatchMinusFll: Icon;
export const PatchMinus: Icon;
export const PatchPlusFll: Icon;
export const PatchPlus: Icon;
export const PatchQuestionFll: Icon;
export const PatchQuestion: Icon;
export const PauseFill: Icon;
export const Pause: Icon;
export const PeaceFill: Icon;
export const Peace: Icon;
export const PenFill: Icon;
export const Pen: Icon;
export const PencilFill: Icon;
export const PencilSquare: Icon;
export const Pencil: Icon;
export const PentagonFill: Icon;
export const PentagonHalf: Icon;
export const Pentagon: Icon;
export const PeopleFill: Icon;
export const People: Icon;
export const Percent: Icon;
export const PersonBadgeFill: Icon;
export const PersonBadge: Icon;
export const PersonBoundingBox: Icon;
export const PersonCheckFill: Icon;
export const PersonCheck: Icon;
export const PersonCircle: Icon;
export const PersonDashFill: Icon;
export const PersonDash: Icon;
export const PersonFill: Icon;
export const PersonLinesFill: Icon;
export const PersonPlusFill: Icon;
export const PersonPlus: Icon;
export const PersonSquare: Icon;
export const PersonXFill: Icon;
export const PersonX: Icon;
export const Person: Icon;
export const PhoneFill: Icon;
export const PhoneLandscapeFill: Icon;
export const PhoneLandscape: Icon;
export const PhoneVibrate: Icon;
export const Phone: Icon;
export const PieChartFill: Icon;
export const PieChart: Icon;
export const PipFill: Icon;
export const Pip: Icon;
export const PlayFill: Icon;
export const Play: Icon;
export const PlugFill: Icon;
export const Plug: Icon;
export const PlusCircleFill: Icon;
export const PlusCircle: Icon;
export const PlusSquareFill: Icon;
export const PlusSquare: Icon;
export const Plus: Icon;
export const Power: Icon;
export const PrinterFill: Icon;
export const Printer: Icon;
export const PuzzleFill: Icon;
export const Puzzle: Icon;
export const QuestionCircleFill: Icon;
export const QuestionCircle: Icon;
export const QuestionDiamondFill: Icon;
export const QuestionDiamond: Icon;
export const QuestionOctagonFill: Icon;
export const QuestionOctagon: Icon;
export const QuestionSquareFill: Icon;
export const QuestionSquare: Icon;
export const Question: Icon;
export const ReceiptCutoff: Icon;
export const Receipt: Icon;
export const Reception0: Icon;
export const Reception1: Icon;
export const Reception2: Icon;
export const Reception3: Icon;
export const Reception4: Icon;
export const ReplyAllFill: Icon;
export const ReplyAll: Icon;
export const ReplyFill: Icon;
export const Reply: Icon;
export const RssFill: Icon;
export const Rss: Icon;
export const Scissors: Icon;
export const Screwdriver: Icon;
export const Search: Icon;
export const SegmentedNav: Icon;
export const Server: Icon;
export const ShareFill: Icon;
export const Share: Icon;
export const ShieldCheck: Icon;
export const ShieldExclamation: Icon;
export const ShieldFillCheck: Icon;
export const ShieldFillExclamation: Icon;
export const ShieldFillMinus: Icon;
export const ShieldFillPlus: Icon;
export const ShieldFillX: Icon;
export const ShieldFill: Icon;
export const ShieldLockFill: Icon;
export const ShieldLock: Icon;
export const ShieldMinus: Icon;
export const ShieldPlus: Icon;
export const ShieldShaded: Icon;
export const ShieldSlashFill: Icon;
export const ShieldSlash: Icon;
export const ShieldX: Icon;
export const Shield: Icon;
export const ShiftFill: Icon;
export const Shift: Icon;
export const ShopWindow: Icon;
export const Shop: Icon;
export const Shuffle: Icon;
export const Signpost2Fill: Icon;
export const Signpost2: Icon;
export const SignpostFill: Icon;
export const SignpostSplitFill: Icon;
export const SignpostSplit: Icon;
export const Signpost: Icon;
export const SimFill: Icon;
export const Sim: Icon;
export const SkipBackwardFill: Icon;
export const SkipBackward: Icon;
export const SkipEndFill: Icon;
export const SkipEnd: Icon;
export const SkipForwardFill: Icon;
export const SkipForward: Icon;
export const SkipStartFill: Icon;
export const SkipStart: Icon;
export const SlashCircleFill: Icon;
export const SlashCircle: Icon;
export const SlashSquareFill: Icon;
export const SlashSquare: Icon;
export const Slash: Icon;
export const Sliders: Icon;
export const Smartwatch: Icon;
export const SortAlphaDownAlt: Icon;
export const SortAlphaDown: Icon;
export const SortAlphaUpAlt: Icon;
export const SortAlphaUp: Icon;
export const SortDownAlt: Icon;
export const SortDown: Icon;
export const SortNumericDownAlt: Icon;
export const SortNumericDown: Icon;
export const SortNumericUpAlt: Icon;
export const SortNumericUp: Icon;
export const SortUpAlt: Icon;
export const SortUp: Icon;
export const Soundwave: Icon;
export const SpeakerFill: Icon;
export const Speaker: Icon;
export const Spellcheck: Icon;
export const SquareFill: Icon;
export const SquareHalf: Icon;
export const Square: Icon;
export const StarFill: Icon;
export const StarHalf: Icon;
export const Star: Icon;
export const StickiesFill: Icon;
export const Stickies: Icon;
export const StickyFill: Icon;
export const Sticky: Icon;
export const StopFill: Icon;
export const Stop: Icon;
export const StoplightsFill: Icon;
export const Stoplights: Icon;
export const StopwatchFill: Icon;
export const Stopwatch: Icon;
export const Subtract: Icon;
export const SuitClubFill: Icon;
export const SuitClub: Icon;
export const SuitDiamondFill: Icon;
export const SuitDiamond: Icon;
export const SuitHeartFill: Icon;
export const SuitHeart: Icon;
export const SuitSpadeFill: Icon;
export const SuitSpade: Icon;
export const Sun: Icon;
export const Sunglasses: Icon;
export const Table: Icon;
export const TabletFill: Icon;
export const TabletLandscapeFill: Icon;
export const TabletLandscape: Icon;
export const Tablet: Icon;
export const TagFill: Icon;
export const Tag: Icon;
export const TagsFill: Icon;
export const Tags: Icon;
export const TelephoneFill: Icon;
export const TelephoneForwardFill: Icon;
export const TelephoneForward: Icon;
export const TelephoneInboundFill: Icon;
export const TelephoneInbound: Icon;
export const TelephoneMinusFill: Icon;
export const TelephoneMinus: Icon;
export const TelephoneOutboundFill: Icon;
export const TelephoneOutbound: Icon;
export const TelephonePlusFill: Icon;
export const TelephonePlus: Icon;
export const TelephoneXFill: Icon;
export const TelephoneX: Icon;
export const Telephone: Icon;
export const TerminalFill: Icon;
export const Terminal: Icon;
export const TextCenter: Icon;
export const TextIndentLeft: Icon;
export const TextIndentRight: Icon;
export const TextLeft: Icon;
export const TextParagraph: Icon;
export const TextRight: Icon;
export const TextareaResize: Icon;
export const TextareaT: Icon;
export const Textarea: Icon;
export const ThermometerHalf: Icon;
export const Thermometer: Icon;
export const ThreeDotsVertical: Icon;
export const ThreeDots: Icon;
export const ToggleOff: Icon;
export const ToggleOn: Icon;
export const Toggle2Off: Icon;
export const Toggle2On: Icon;
export const Toggles: Icon;
export const Toggles2: Icon;
export const Tools: Icon;
export const TrashFill: Icon;
export const Trash: Icon;
export const Trash2Fill: Icon;
export const Trash2: Icon;
export const TreeFill: Icon;
export const Tree: Icon;
export const TriangleFill: Icon;
export const TriangleHalf: Icon;
export const Triangle: Icon;
export const TrophyFill: Icon;
export const Trophy: Icon;
export const TruckFlatbed: Icon;
export const Truck: Icon;
export const TvFill: Icon;
export const Tv: Icon;
export const TypeBold: Icon;
export const TypeH1: Icon;
export const TypeH2: Icon;
export const TypeH3: Icon;
export const TypeItalic: Icon;
export const TypeStrikethrough: Icon;
export const TypeUnderline: Icon;
export const Type: Icon;
export const UiChecksGrid: Icon;
export const UiChecks: Icon;
export const UiRadiosGrid: Icon;
export const UiRadios: Icon;
export const Union: Icon;
export const UnlockFill: Icon;
export const Unlock: Icon;
export const UpcScan: Icon;
export const Upc: Icon;
export const Upload: Icon;
export const VectorPen: Icon;
export const ViewList: Icon;
export const ViewStacked: Icon;
export const Voicemail: Icon;
export const VolumeDownFill: Icon;
export const VolumeDown: Icon;
export const VolumeMuteFill: Icon;
export const VolumeMute: Icon;
export const VolumeOffFill: Icon;
export const VolumeOff: Icon;
export const VolumeUpFill: Icon;
export const VolumeUp: Icon;
export const Vr: Icon;
export const WalletFill: Icon;
export const Wallet: Icon;
export const Wallet2: Icon;
export const Watch: Icon;
export const Wifi1: Icon;
export const Wifi2: Icon;
export const WifiOff: Icon;
export const Wifi: Icon;
export const Window: Icon;
export const Wrench: Icon;
export const XCircleFill: Icon;
export const XCircle: Icon;
export const XDiamondFill: Icon;
export const XDiamond: Icon;
export const XOctagonFill: Icon;
export const XOctagon: Icon;
export const XSquareFill: Icon;
export const XSquare: Icon;
export const X: Icon;
export const ZoomIn: Icon;
export const ZoomOut: Icon;
